---
title: "/Endpoint/rest/api/v1/Account/{Id}/Picture"
slug: "endpointrestapiv1accountidpicture-2"
updated: 2024-12-18T10:21:23Z
published: 2024-12-18T10:21:23Z
canonical: "docs.agilenow.io/endpointrestapiv1accountidpicture-2"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agilenow.io/llms.txt
> Use this file to discover all available pages before exploring further.
# /Endpoint/rest/api/v1/Account/{Id}/Picture
Post/Endpoint/rest/api/v1/Account/{Id}/Picture
Use the `PicturePost` object resource to insert or update (Upsert) `Picture` using `AccountId` field(s) value.
You can supply the required field values in the request data, and then use the `POST` method of the resource.
The input parameter must be used in the `PictureData` record structure inside the `FieldType` parameter in the foreign key fields.
Foreign key fields are: `AccountId`
### Update a record of Picture
- If the `AccountId` field value is not matched, then a `404` error is reported (`Errors/Not Found`), and the error record is returned.. You cannot change `AccountId` field value (primary key).
- When the AccountId field value is not provided, the system will automatically initiate the insertion of a new record.
### Create a new record of Picture
- If the value in the `AccountId` field is empty then action insert a new record according input parameter entity record structure (`PictureData`).
The response body will contain the object of the updated or created record if the call is successful. Method returns an extended `Picture` structure. Here, all foreign key fields are abstract object structures, utilizing `AbstractText` or `AbstractLong` data types, offering a detailed view of the data and related entities.
SecurityOAuth
oAuth autentication flow
FlowClient Credentials Token URLhttps://dev.esystems.fi/oAuth/rest/v2/Token
Refresh URLhttps://dev.esystems.fi/oAuth/rest/v2/Token
Scopes:AccessManager:Create, UpdateAllows to edit access groups and all related data. (ABAC) permissions required to perform a function.
AccessUser:Create, UpdateAllows to review access groups and all related data. (ABAC) permissions required to perform a function.
Path parametersIdstringRequired
The identifier of the Account record. The parameter is part of the url address and some special characters are forbidden.
You can extract any string to a base64 string. E.g email address name@domain.com value is base64|bmFtZUBkb21haW4uY29t
Query parametersNamestring
The name of the database field. If empty, the entity `Id` field is used.
Example:
```
Id
```
Body parameters
`Picture` information to insert or update.
The input parameter must be used in the `PictureData` record structure inside the `FieldType` parameter in the foreign key fields.
object
The record of Picture information.
Picturestring (binary)
Picture of account.
Responses200
Inserted or updated `Picture` information.
object
The record of Picture information.
Filenamestring
Filename of account picture
Picturestring (binary)
Picture of account
CreatedOnstring (date-time)
Date the record was created
Default"1900-01-01T12:00:00Z"Example1900-01-01T12:00:00Z
400
Bad Request - The user has provided input that the browser is unable to convert.
```json
{
"Errors": [
"The user has provided input that the browser is unable to convert.",
"There are multiple rows in the database for the same value",
"The value does not match the specified entity structure",
"..."
],
"Type": "/Errors/Bad Input",
"Title": "Bad Request",
"StatusCode": 400,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""
401
Unauthorized - The response status code indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
```json
{
"Errors": [
"The session Id or OAuth token used has expired or is invalid."
],
"Type": "/Errors/Unauthorized",
"Title": "Unauthorized",
"StatusCode": 401,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""
403
Forbidden - The user does not have access to execute operation
```json
{
"Errors": [
"The user does not have access to execute operation"
],
"Type": "/Errors/Permission",
"Title": "Bad Request",
"StatusCode": 403,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""
500
Internal Server Error - An internal server error is an error on the web server you're trying to access.
```json
{
"Errors": [
"An internal server error is an error on the web server you're trying to access."
],
"Type": "/Errors/Internal Server Error",
"Title": "Internal Server Error",
"StatusCode": 500,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""